Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## DDT
Class emos_ddt_access_range_lib

public class emos_ddt_access_range_lib

# This library defines an "iterator" (as much as one can emulate a real iterator in a language such as TSL) for data tables (ddt-interface). The main benefits of this iterator are: 1.) you can loop through any table in an uniform way, 2.) you can choose one of four algorithms to iterate through the range: * sequntial (forward) * sequential (reverse) * random (values may get repeated) * random (values will not be repeated) 3.) you can simultaneously have iterators for multiple data tables (ane at a time per table!) 4.) you can use it to iterate any range of numbers (unrelated to data tables).

NOTE!

- For more detailed instruction see comments for DDT_ACCESS_lib.
- This iterator does not (yet) support the syntax like DDT_ACCESS_lib. You can only specify a range with `from` and `to` parameters. It would be great if someone could find time to implement this.

PUBLIC CONSTANTS:

- DDT_ACCESS_SEQUENTIAL
- DDT_ACCESS_REVERSE_ACCESS
- DDT_ACCESS_RANDOM
- DDT_ACCESS_RANDOM_NOREPEAT
- DDT_ACCESS_INVALID_MODE
- DDT_ACCESS_DEFAULT_MODE

Method Summary
`int` | `DDT_ACCESS_clean_range(in table)` Removes range-access for given table and frees the internal buffers.
`int` | `DDT_ACCESS_get_next_in_range(in table)` Returns the index of the next test to be processed.
`int` | `DDT_ACCESS_has_more_in_range(in table)` Indicates whether there subsequent call to DDT_get_next_in_range() is about to succeed.
`int` | `DDT_ACCESS_init_range(in table, in from, in to, in mode)` Initialises the range-access algorithm.

Method Detail

### DDT_ACCESS_clean_range

    public int DDT_ACCESS_clean_range(in table)

  Removes range-access for given table and frees the internal buffers.
  Parameters:
    table - (in) the name od the iterator (data table)

### DDT_ACCESS_get_next_in_range

    public int DDT_ACCESS_get_next_in_range(in table)

  Returns the index of the next test to be processed.
  Parameters:
    table - (in) the name od the iterator (data table)
  Returns: >0: test number <0: error ocurred

### DDT_ACCESS_has_more_in_range

    public int DDT_ACCESS_has_more_in_range(in table)

  Indicates whether there subsequent call to DDT_get_next_in_range() is about to succeed.
  Parameters:
    table - (in) the name od the iterator (data table)
  Returns: TRUE: there is still something left to be processed FALSE: all tests processed

### DDT_ACCESS_init_range

    public int DDT_ACCESS_init_range(in table, in from, in to, in mode)

  Initialises the range-access algorithm.
  Parameters:
    table - (in) the name od the iterator (data table)
    from - (in) begining of range
    to - (in) end of range
    mode - (in) one of four possible access modes [default: DDT_ACCESS_SEQUENTIAL]
  Returns: E_OK: initialisation succeeded !E_OK: initialisation failed

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD